[B024] Clinical trial description

get
https://connect.patsnap.com/synapse/clinical-trial/description
Try in Sandbox

Obtain clinical trial description through clinical trial id or registry number

One of the parameters clinical_trial_id and register_number must be passed

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical trial id, obtain this through clinical trial search interface
register_number
stringNCT06498986
register number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
country
array[ { "country_id": "5a365096-b2a6-31cb-acdf-1de1f5ab3abe", "alpha2_code": "CN", "display_name": [ { "lang": "EN", "name": "China" }, { "lang": "CN", "name": "中国" } ] } ]
Country/Location
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
Country/Location ID
alpha2_code
stringUS
Alpha Code
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
Country/Location Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
brief_summary
stringThis phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.
Brief
register_number
stringNCT06498986
Trial Number
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical Trial ID
detailed_description
stringThis phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.
Detailed
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "country": [
      {
        "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
        "alpha2_code": "US",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "brief_summary": "This phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.",
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53",
    "detailed_description": "This phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer."
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found